Package docking.widgets.tree.internal

# Class InProgressGTreeRootNode

java.lang.Object
docking.widgets.tree.GTreeNode
docking.widgets.tree.internal.InProgressGTreeRootNode

All Implemented Interfaces:
  `Cloneable`, `Comparable<GTreeNode>`

public class InProgressGTreeRootNode extends GTreeNode

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InProgressGTreeRootNode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final List<GTreeNode>`
  `children()`
  `GTreeNode`
  `clone()`
  Creates a clone of this node.
  `void`
  `dispose()`
  `protected void`
  `doAddNode(int index, GTreeNode node)`
  Adds a node to this node's children at the given index and notifies the tree.
  `protected void`
  `doAddNode(GTreeNode node)`
  Adds a node to this node's children.
  `protected void`
  `doAddNodes(List<GTreeNode> nodes)`
  Adds the given nodes to this node's children.
  `protected void`
  `doFireNodeAdded(GTreeNode newNode)`
  `protected void`
  `doFireNodeChanged()`
  `protected void`
  `doFireNodeRemoved(GTreeNode removedNode, int index)`
  `protected void`
  `doFireNodeStructureChanged()`
  `protected void`
  `doRemoveNode(GTreeNode node)`
  Removes the node from this node's children and notifies the tree.
  `protected void`
  `doSetChildren(List<GTreeNode> childList)`
  Sets the children of this node to the given list of child nodes, but does not notify the tree.
  `protected void`
  `doSetChildrenAndFireEvent(List<GTreeNode> childList)`
  Sets the children of this node to the given list of child nodes and fires the appropriate tree event to kick the tree to update the display.
  `Icon`
  `getIcon(boolean expanded)`
  Returns the Icon to be displayed for this node in the tree
  `String`
  `getName()`
  Returns the name of the node.
  `final GTreeNode`
  `getParent()`
  Returns the parent of this node.
  `String`
  `getToolTip()`
  Returns the string to be displayed as a tooltip when the user hovers the mouse on this node in the tree
  `GTree`
  `getTree()`
  Returns the GTree that this node is attached to
  `final boolean`
  `isInProgress()`
  Returns true if the node is in the process of loading its children.
  `boolean`
  `isLeaf()`
  Returns true if this node never has children
  `boolean`
  `isLoaded()`
  True if the children for this node have been loaded yet.
  `final boolean`
  `isRoot()`
  Returns true if this is a root node of a GTree

  ### Methods inherited from class docking.widgets.tree.GTreeNode

  `addNode, addNode, addNodes, collapse, compareTo, equals, expand, filter, fireNodeChanged, fireNodeStructureChanged, generateChildren, getChild, getChild, getChild, getChildCount, getChildren, getChildren, getDisplayText, getIndexInParent, getIndexOfChild, getLeafCount, getNodeCount, getRoot, getTreePath, hashCode, isAncestor, isAutoExpandPermitted, isEditable, isExpanded, iterator, loadAll, removeAll, removeNode, setChildren, stream, toString, valueChanged`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InProgressGTreeRootNode

    public InProgressGTreeRootNode()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from class: `GTreeNode`
    Returns the name of the node. If `GTreeNode.getDisplayText()` is not overridden, then this is also the text that will be displayed in the tree for that node. In general, the name of a node should not change. If the text displayed in the tree changes over time, override `GTreeNode.getDisplayText()`.
    Specified by:
      `getName` in class `GTreeNode`
    Returns:
      the name of the node

  - ### getIcon

    public Icon getIcon(boolean expanded)
    Description copied from class: `GTreeNode`
    Returns the Icon to be displayed for this node in the tree
    Specified by:
      `getIcon` in class `GTreeNode`
    Parameters:
      `expanded` - true if the node is expanded
    Returns:
      the icon to be displayed for this node in the tree

  - ### getToolTip

    public String getToolTip()
    Description copied from class: `GTreeNode`
    Returns the string to be displayed as a tooltip when the user hovers the mouse on this node in the tree
    Specified by:
      `getToolTip` in class `GTreeNode`
    Returns:
      the tooltip to be displayed

  - ### isLeaf

    public boolean isLeaf()
    Description copied from class: `GTreeNode`
    Returns true if this node never has children
    Specified by:
      `isLeaf` in class `GTreeNode`
    Returns:
      true if this node is a leaf

  - ### getParent

    public final GTreeNode getParent()
    Returns the parent of this node. Note: this method is deliberately not synchronized (See comments above)
    Returns:
      the parent of this node.

  - ### isRoot

    public final boolean isRoot()
    Returns true if this is a root node of a GTree
    Returns:
      true if this is a root node of a GTree

  - ### children

    protected final List<GTreeNode> children()

  - ### doSetChildrenAndFireEvent

    protected void doSetChildrenAndFireEvent(List<GTreeNode> childList)
    Sets the children of this node to the given list of child nodes and fires the appropriate tree event to kick the tree to update the display. Note: This method must be called from the swing thread because it will notify the underlying JTree.
    Parameters:
      `childList` - the list of child nodes to assign as children to this node
    See Also:
      - `if calling from a background thread.`

  - ### doSetChildren

    protected void doSetChildren(List<GTreeNode> childList)
    Sets the children of this node to the given list of child nodes, but does not notify the tree. This method does not have to be called from the swing thread. It is intended to be used by background threads that want to populate all or part of the tree, but wait until the bulk operations are completed before notifying the tree.
    Parameters:
      `childList` - the list of child nodes to assign as children to this node

  - ### doAddNode

    protected void doAddNode(GTreeNode node)
    Adds a node to this node's children. Must be called from the swing thread.
    Parameters:
      `node` - the node to add as a child to this node

  - ### doAddNode

    protected void doAddNode(int index, GTreeNode node)
    Adds a node to this node's children at the given index and notifies the tree. Must be called from the swing thread.
    Parameters:
      `index` - the index at which to add the new node
      `node` - the node to add as a child to this node

  - ### doRemoveNode

    protected void doRemoveNode(GTreeNode node)
    Removes the node from this node's children and notifies the tree. Must be called from the swing thread.
    Parameters:
      `node` - the node to remove

  - ### doAddNodes

    protected void doAddNodes(List<GTreeNode> nodes)
    Adds the given nodes to this node's children. Must be called from the swing thread.
    Parameters:
      `nodes` - the nodes to add to the children this node

  - ### clone

    public GTreeNode clone() throws CloneNotSupportedException
    Creates a clone of this node. The clone should contain a shallow copy of all the node's attributes except that the parent and children are null.
    Overrides:
      `clone` in class `Object`
    Returns:
      the clone of this object.
    Throws:
      `CloneNotSupportedException` - if some implementation prevents itself from being cloned.

  - ### dispose

    public void dispose()

  - ### isInProgress

    public final boolean isInProgress()
    Returns true if the node is in the process of loading its children. See `GTreeSlowLoadingNode`
    Returns:
      true if the node is in the process of loading its children.

  - ### isLoaded

    public boolean isLoaded()
    True if the children for this node have been loaded yet. Some GTree nodes are lazy in that they don't load their children until needed. Nodes that have the IN_PROGRESS node as it child is considered loaded if in the swing thread, otherwise they are considered not loaded.
    Returns:
      true if the children for this node have been loaded.

  - ### getTree

    public GTree getTree()
    Returns the GTree that this node is attached to
    Returns:
      the GTree that this node is attached to

  - ### doFireNodeAdded

    protected void doFireNodeAdded(GTreeNode newNode)

  - ### doFireNodeRemoved

    protected void doFireNodeRemoved(GTreeNode removedNode, int index)

  - ### doFireNodeStructureChanged

    protected void doFireNodeStructureChanged()

  - ### doFireNodeChanged

    protected void doFireNodeChanged()